%% vytvoření FIR filtru
load MA1_001_03.mat
N = 250;% délka impulzní charakteristiky filtru
fmez=0.67
Wn = fmez/N;                           % rozsah kmitočtů
b1 = fir1(N,Wn,'high');                     % výpočet imp. char. FIR filtru metodou váhování imp. char.

figure;
freqz(b1,1)                                 % vykreslení amplitudové a fázové frekvenční charakteristiky

for i = 1:3
    y(i,:) = filter(b1,1,x(i,:));    % filtrace příkazem filtr
    % y(i,:) = conv(x_brum(i,:),b1,'full'); % konvoluce signálu s impulzní charakteristikou filtru
    % y(i,:) = filtfilt(b1,1,x_brum(i,:));  % filtrace příkazem filtfilt
end

figure;
for i = 1:3
    subplot(3,1,i)
    plot(y(i,:))                            % vykreslení všech svodů v cyklu
end
